com.google.gwt.user.client.ui

## Class KeyboardListenerCollection

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<KeyboardListener>
      - - com.google.gwt.user.client.ui.KeyboardListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<KeyboardListener>, java.util.Collection<KeyboardListener>, java.util.List<KeyboardListener>, java.util.RandomAccess

Direct Known Subclasses:
  DelegatingKeyboardListenerCollection

Deprecated.
Widgets should now manage their own handlers via `Widget.addDomHandler(H, com.google.gwt.event.dom.client.DomEvent.Type<H>)`

    @Deprecated
    public class KeyboardListenerCollection
    extends java.util.ArrayList<KeyboardListener>

A helper class for implementers of the SourcesKeyboardEvents interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `KeyboardListener`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`KeyboardListenerCollection()` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `fireKeyboardEvent(Widget sender, Event event)` Deprecated. Automatically fires the appropriate keyboard event to all listeners.
`void` `fireKeyDown(Widget sender, char keyCode, int modifiers)` Deprecated. Fires a keyDown event to all listeners.
`void` `fireKeyPress(Widget sender, char key, int modifiers)` Deprecated. Fires a keyDown event to all listeners.
`void` `fireKeyUp(Widget sender, char keyCode, int modifiers)` Deprecated. Fires a keyDown event to all listeners.
`static int` `getKeyboardModifiers(Event event)` Deprecated. Gets the keyboard modifiers associated with a DOMEvent.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Constructor Detail

#### KeyboardListenerCollection

    public KeyboardListenerCollection()

Deprecated.

### Method Detail

#### getKeyboardModifiers

    public static int getKeyboardModifiers(Event event)

Deprecated.
Gets the keyboard modifiers associated with a DOMEvent.

Parameters:
  `event` - the event.
Returns:
  the modifiers as defined in `KeyboardListener`.

#### fireKeyboardEvent

    public void fireKeyboardEvent(Widget sender,
                                  Event event)

Deprecated.
Automatically fires the appropriate keyboard event to all listeners. If the given event is not a keyboard event, no action will be performed.

Parameters:
  `sender` - the widget sending the event.
  `event` - the Event received by the widget.

#### fireKeyDown

    public void fireKeyDown(Widget sender,
                            char keyCode,
                            int modifiers)

Deprecated.
Fires a keyDown event to all listeners.

Parameters:
  `sender` - the widget sending the event.
  `keyCode` - the keyCode to send with the event.
  `modifiers` - the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by `KeyboardListener.MODIFIER_SHIFT`, `KeyboardListener.MODIFIER_CTRL`, and `KeyboardListener.MODIFIER_ALT`.

#### fireKeyPress

    public void fireKeyPress(Widget sender,
                             char key,
                             int modifiers)

Deprecated.
Fires a keyDown event to all listeners.

Parameters:
  `sender` - the widget sending the event.
  `key` - the key to send with the event.
  `modifiers` - the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by `KeyboardListener.MODIFIER_SHIFT`, `KeyboardListener.MODIFIER_CTRL`, and `KeyboardListener.MODIFIER_ALT`.

#### fireKeyUp

    public void fireKeyUp(Widget sender,
                          char keyCode,
                          int modifiers)

Deprecated.
Fires a keyDown event to all listeners.

Parameters:
  `sender` - the widget sending the event.
  `keyCode` - the keyCode to send with the event.
  `modifiers` - the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by `KeyboardListener.MODIFIER_SHIFT`, `KeyboardListener.MODIFIER_CTRL`, and `KeyboardListener.MODIFIER_ALT`.